[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomIdleTimer.AutoEnabled

Controls whether the idle timer can be automatically enabled or disabled.

## Declaration

Source position: extctrls.pp line 243

`public property TCustomIdleTimer.AutoEnabled : Boolean read FAutoEnabled write SetAutoEnabled default False;`

## Description

AutoEnabled is a Boolean property which controls whether the idle timer can be automatically Enabled (or disabled) in event handler routines. The default value for the property is False, and indicates that event handlers in the timer are not assigned to the Application singleton in the UpdateHandlers method.

The value in AutoEnabled is used in the DoOnIdle, DoOnIdleEnd, and DoOnUserInput methods. When AutoEnabled contains False, these routines do not perform actions which toggle the value in the Enabled property.